﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __Customer = LightSwitchApplication.Customer

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class Customer
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __Customer, __Customer.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the Customer entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Customer))
            MyBase.New(entitySet)
            
            __Customer.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Customer_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Customer_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __Customer.DetailsClass.SetValue(Me, __Customer.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __Customer.DetailsClass.SetValue(Me, __Customer.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property CustomerName As String
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.CustomerName)
            End Get
            Set
                __Customer.DetailsClass.SetValue(Me, __Customer.DetailsClass.PropertySetProperties.CustomerName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CustomerName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CustomerName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CustomerName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Email As String
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.Email)
            End Get
            Set
                __Customer.DetailsClass.SetValue(Me, __Customer.DetailsClass.PropertySetProperties.Email, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Phone As String
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.Phone)
            End Get
            Set
                __Customer.DetailsClass.SetValue(Me, __Customer.DetailsClass.PropertySetProperties.Phone, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ContactPerson As String
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.ContactPerson)
            End Get
            Set
                __Customer.DetailsClass.SetValue(Me, __Customer.DetailsClass.PropertySetProperties.ContactPerson, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SalesOrderHeaders As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.SalesOrderHeader)
            Get
                Return __Customer.DetailsClass.GetValue(Me, __Customer.DetailsClass.PropertySetProperties.SalesOrderHeaders)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SalesOrderHeadersQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.SalesOrderHeader)
            Get
                Return __Customer.DetailsClass.GetQuery(Me, __Customer.DetailsClass.PropertySetProperties.SalesOrderHeaders)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __Customer, _
                __Customer.DetailsClass, _
                __Customer.DetailsClass.IImplementation, _
                __Customer.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Customer, __Customer.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Customer, __Customer.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __Customer.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __CustomerEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Customer, __Customer.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Customer, __Customer.DetailsClass).Entry( _
                    AddressOf __Customer.DetailsClass.__Customer_CreateNew, _
                    AddressOf __Customer.DetailsClass.__Customer_Created, _
                    AddressOf __Customer.DetailsClass.__Customer_AllowSaveWithErrors)
            Private Shared Function __Customer_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Customer)) As __Customer
                Return New __Customer(es)
            End Function
            Private Shared Sub __Customer_Created(e As __Customer)
                e.Customer_Created()
            End Sub
            Private Shared Function __Customer_AllowSaveWithErrors(e As __Customer) As Boolean
                Dim result As Boolean = False
                e.Customer_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Customer, __Customer.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Customer, __Customer.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __Customer.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __Customer, __Customer.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property CustomerName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.CustomerName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.Email),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.Phone),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.ContactPerson),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property SalesOrderHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Customer, __Customer.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Customer.DetailsClass.PropertySetProperties.SalesOrderHeaders),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Customer, __Customer.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property CustomerName As String
                Shadows Property Email As String
                Shadows Property Phone As String
                Shadows Property ContactPerson As String
                Shadows ReadOnly Property SalesOrderHeaders As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Integer).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __Customer) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __Customer, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __Customer.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __Customer.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __Customer)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Byte()).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __Customer) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __Customer, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __Customer.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __Customer.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __Customer)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly CustomerName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry( _
                        "CustomerName", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._CustomerName_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._CustomerName_ComputeIsReadOnly, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._CustomerName_Validate, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._CustomerName_GetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._CustomerName_SetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._CustomerName_OnValueChanged)
                Private Shared Sub _CustomerName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._CustomerName, sf)
                End Sub
                Private Shared Function _CustomerName_ComputeIsReadOnly(e As __Customer) As Boolean
                    Dim result As Boolean = False
                    e.CustomerName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _CustomerName_Validate(e As __Customer, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.CustomerName_Validate(r)
                End Sub
                Private Shared Function _CustomerName_GetImplementationValue(d As __Customer.DetailsClass) As String
                    Return d.ImplementationEntity.CustomerName
                End Function
                Private Shared Sub _CustomerName_SetImplementationValue(d As __Customer.DetailsClass, v As String)
                    d.ImplementationEntity.CustomerName = v
                End Sub
                Private Shared Sub _CustomerName_OnValueChanged(e As __Customer)
                    e.CustomerName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry( _
                        "Email", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Email_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Email_ComputeIsReadOnly, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Email_Validate, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Email_GetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Email_SetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Email_OnValueChanged)
                Private Shared Sub _Email_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._Email, sf)
                End Sub
                Private Shared Function _Email_ComputeIsReadOnly(e As __Customer) As Boolean
                    Dim result As Boolean = False
                    e.Email_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Email_Validate(e As __Customer, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Email_Validate(r)
                End Sub
                Private Shared Function _Email_GetImplementationValue(d As __Customer.DetailsClass) As String
                    Return d.ImplementationEntity.Email
                End Function
                Private Shared Sub _Email_SetImplementationValue(d As __Customer.DetailsClass, v As String)
                    d.ImplementationEntity.Email = v
                End Sub
                Private Shared Sub _Email_OnValueChanged(e As __Customer)
                    e.Email_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry( _
                        "Phone", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Phone_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Phone_ComputeIsReadOnly, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Phone_Validate, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Phone_GetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Phone_SetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._Phone_OnValueChanged)
                Private Shared Sub _Phone_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._Phone, sf)
                End Sub
                Private Shared Function _Phone_ComputeIsReadOnly(e As __Customer) As Boolean
                    Dim result As Boolean = False
                    e.Phone_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Phone_Validate(e As __Customer, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Phone_Validate(r)
                End Sub
                Private Shared Function _Phone_GetImplementationValue(d As __Customer.DetailsClass) As String
                    Return d.ImplementationEntity.Phone
                End Function
                Private Shared Sub _Phone_SetImplementationValue(d As __Customer.DetailsClass, v As String)
                    d.ImplementationEntity.Phone = v
                End Sub
                Private Shared Sub _Phone_OnValueChanged(e As __Customer)
                    e.Phone_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Entry( _
                        "ContactPerson", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._ContactPerson_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._ContactPerson_ComputeIsReadOnly, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._ContactPerson_Validate, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._ContactPerson_GetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._ContactPerson_SetImplementationValue, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._ContactPerson_OnValueChanged)
                Private Shared Sub _ContactPerson_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._ContactPerson, sf)
                End Sub
                Private Shared Function _ContactPerson_ComputeIsReadOnly(e As __Customer) As Boolean
                    Dim result As Boolean = False
                    e.ContactPerson_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ContactPerson_Validate(e As __Customer, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ContactPerson_Validate(r)
                End Sub
                Private Shared Function _ContactPerson_GetImplementationValue(d As __Customer.DetailsClass) As String
                    Return d.ImplementationEntity.ContactPerson
                End Function
                Private Shared Sub _ContactPerson_SetImplementationValue(d As __Customer.DetailsClass, v As String)
                    d.ImplementationEntity.ContactPerson = v
                End Sub
                Private Shared Sub _ContactPerson_OnValueChanged(e As __Customer)
                    e.ContactPerson_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SalesOrderHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Customer, __Customer.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Customer, __Customer.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry( _
                        "SalesOrderHeaders", _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._SalesOrderHeaders_Stub, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._SalesOrderHeaders_GetReferencedEntities, _
                        AddressOf __Customer.DetailsClass.PropertySetProperties._SalesOrderHeaders_GetEntityCollection)
                Private Shared Sub _SalesOrderHeaders_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Customer.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Customer, __Customer.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data), d As __Customer.DetailsClass, sf As Object)
                    c(d, d._SalesOrderHeaders, sf)
                End Sub
                Private Shared Function _SalesOrderHeaders_GetReferencedEntities(d As __Customer.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.SalesOrderHeader)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.SalesOrderHeader, Global.LightSwitchApplication.SalesOrderHeader.DetailsClass)(__Customer.DetailsClass.PropertySetProperties.SalesOrderHeaders, d._SalesOrderHeaders)
                End Function
                Private Shared Function _SalesOrderHeaders_GetEntityCollection(d As __Customer.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.SalesOrderHeaders
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _CustomerName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Customer, __Customer.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SalesOrderHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Customer, __Customer.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
